Package org.kapott.hbci.sepa.jaxb.pain_008_001_01

# Class DirectDebitTransactionInformation2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_01.DirectDebitTransactionInformation2

public class DirectDebitTransactionInformation2 extends Object

Java class for DirectDebitTransactionInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransactionInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:sepade:xsd:pain.008.001.01}PaymentIdentification1"/>
             <element name="InstdAmt" type="{urn:sepade:xsd:pain.008.001.01}EuroMax9Amount"/>
             <element name="DrctDbtTx" type="{urn:sepade:xsd:pain.008.001.01}DirectDebitTransaction4"/>
             <element name="DbtrAgt" type="{urn:sepade:xsd:pain.008.001.01}FinancialInstitution2"/>
             <element name="Dbtr" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification23"/>
             <element name="DbtrAcct" type="{urn:sepade:xsd:pain.008.001.01}CashAccount8"/>
             <element name="UltmtDbtr" type="{urn:sepade:xsd:pain.008.001.01}PartyIdentification12" minOccurs="0"/>
             <element name="RmtInf" type="{urn:sepade:xsd:pain.008.001.01}RemittanceInformation3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected PartyIdentification23`
`dbtr`
`protected CashAccount8`
`dbtrAcct`
`protected FinancialInstitution2`
`dbtrAgt`
`protected DirectDebitTransaction4`
`drctDbtTx`
`protected EuroMax9Amount`
`instdAmt`
`protected PaymentIdentification1`
`pmtId`
`protected RemittanceInformation3`
`rmtInf`
`protected PartyIdentification12`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`DirectDebitTransactionInformation2()`

## Method Summary

Modifier and Type
Method
Description
`PartyIdentification23`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccount8`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`FinancialInstitution2`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`DirectDebitTransaction4`
`getDrctDbtTx()`
Gets the value of the drctDbtTx property.
`EuroMax9Amount`
`getInstdAmt()`
Gets the value of the instdAmt property.
`PaymentIdentification1`
`getPmtId()`
Gets the value of the pmtId property.
`RemittanceInformation3`
`getRmtInf()`
Gets the value of the rmtInf property.
`PartyIdentification12`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setDbtr(PartyIdentification23 value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccount8 value)`
Sets the value of the dbtrAcct property.
`void`
`setDbtrAgt(FinancialInstitution2 value)`
Sets the value of the dbtrAgt property.
`void`
`setDrctDbtTx(DirectDebitTransaction4 value)`
Sets the value of the drctDbtTx property.
`void`
`setInstdAmt(EuroMax9Amount value)`
Sets the value of the instdAmt property.
`void`
`setPmtId(PaymentIdentification1 value)`
Sets the value of the pmtId property.
`void`
`setRmtInf(RemittanceInformation3 value)`
Sets the value of the rmtInf property.
`void`
`setUltmtDbtr(PartyIdentification12 value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmtId

protected PaymentIdentification1 pmtId

### instdAmt

protected EuroMax9Amount instdAmt

### drctDbtTx

protected DirectDebitTransaction4 drctDbtTx

### dbtrAgt

protected FinancialInstitution2 dbtrAgt

### dbtr

protected PartyIdentification23 dbtr

### dbtrAcct

protected CashAccount8 dbtrAcct

### ultmtDbtr

protected PartyIdentification12 ultmtDbtr

### rmtInf

protected RemittanceInformation3 rmtInf

## Constructor Details

### DirectDebitTransactionInformation2

public DirectDebitTransactionInformation2()

## Method Details

### getPmtId

public PaymentIdentification1 getPmtId()
Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentification1`

### setPmtId

public void setPmtId(PaymentIdentification1 value)
Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentification1`

### getInstdAmt

public EuroMax9Amount getInstdAmt()
Gets the value of the instdAmt property.

Returns:
  possible object is `EuroMax9Amount`

### setInstdAmt

public void setInstdAmt(EuroMax9Amount value)
Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `EuroMax9Amount`

### getDrctDbtTx

public DirectDebitTransaction4 getDrctDbtTx()
Gets the value of the drctDbtTx property.

Returns:
  possible object is `DirectDebitTransaction4`

### setDrctDbtTx

public void setDrctDbtTx(DirectDebitTransaction4 value)
Sets the value of the drctDbtTx property.

Parameters:
  `value` - allowed object is `DirectDebitTransaction4`

### getDbtrAgt

public FinancialInstitution2 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `FinancialInstitution2`

### setDbtrAgt

public void setDbtrAgt(FinancialInstitution2 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `FinancialInstitution2`

### getDbtr

public PartyIdentification23 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentification23`

### setDbtr

public void setDbtr(PartyIdentification23 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification23`

### getDbtrAcct

public CashAccount8 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount8`

### setDbtrAcct

public void setDbtrAcct(CashAccount8 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount8`

### getUltmtDbtr

public PartyIdentification12 getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentification12`

### setUltmtDbtr

public void setUltmtDbtr(PartyIdentification12 value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification12`

### getRmtInf

public RemittanceInformation3 getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation3`

### setRmtInf

public void setRmtInf(RemittanceInformation3 value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation3`